uuid: c8144a7f-f22e-411a-acda-fdf6101afdba
langcode: en
status: true
dependencies: {  }
id: profile_event
label: 'Profile event'
keys:
  id: id
  uuid: uuid
  label: title
paths:
  add: /admin/profile-event/add
  view: '/profile-event/{profile_event}'
  edit: '/admin/profile-event/{profile_event}/edit'
  delete: '/admin/profile-event/{profile_event}/delete'
applied: true
mode: basic
basefields:
  status:
    id: list_string_base_field_config
    field_name: status
    label: Status
    field_type: list_string
    settings:
      allowed_values: "embedded|Embedded\r\nstandalone|Standalone"
    weight: -99
    applied: true
    index: false
    description: ''
    default_value: ''
    required: 1
  is_milestone:
    id: boolean_base_field_config
    field_name: is_milestone
    label: 'Is milestone'
    field_type: boolean
    settings: {  }
    weight: -93
    applied: true
    index: false
    description: ''
    default_value: 0
    required: 1
  cwrc_id:
    id: string_base_field_config
    field_name: cwrc_id
    label: 'CWRC ID'
    field_type: string
    settings:
      max_length: '255'
    weight: -100
    applied: true
    index: false
    description: ''
    default_value: ''
    required: 1
  profile:
    id: entity_reference_base_field_config
    field_name: profile
    label: Profile
    field_type: entity_reference
    settings:
      target_type: node
      target_bundles: {  }
    weight: -92
    applied: true
    index: false
    description: ''
    default_value: ''
    required: 0
  date_format:
    id: string_base_field_config
    field_name: date_format
    label: 'Date format'
    field_type: string
    settings:
      max_length: '50'
    weight: -96
    applied: true
    index: false
    description: ''
    default_value: ''
    required: 1
  date_value:
    id: datetime_base_field_config
    field_name: date_value
    label: 'Date value'
    field_type: datetime
    settings:
      datetime_type: date
    weight: -98
    applied: true
    index: true
    description: ''
    default_value: {  }
    required: 1
  type:
    id: list_string_base_field_config
    field_name: type
    label: Type
    field_type: list_string
    settings:
      allowed_values: "WRITINGCLIMATE|Cultural Climate\r\nNATIONALINTERNATIONAL|Political Climate\r\nSOCIALCLIMATE|Social Climate\r\nBRITISHWOMENWRITERS|Women Writers Climate"
    weight: -91
    applied: true
    index: false
    description: ''
    default_value: ''
    required: 1
  relevance:
    id: list_string_base_field_config
    field_name: relevance
    label: Relevance
    field_type: list_string
    settings:
      allowed_values: "SELECTIVE|Selective\r\nPERIOD|Period\r\nDECADE|Decade\r\nCOMPREHENSIVE|Comprehensive"
    weight: -90
    applied: true
    index: false
    description: ''
    default_value: ''
    required: 0
  date_label:
    id: string_base_field_config
    field_name: date_label
    label: 'Date label'
    field_type: string
    settings:
      max_length: '255'
    weight: -94
    applied: true
    index: false
    description: ''
    default_value: ''
    required: 0
  date_end_value:
    id: datetime_base_field_config
    field_name: date_end_value
    label: 'Date end value'
    field_type: datetime
    settings:
      datetime_type: date
    weight: -97
    applied: true
    index: false
    description: ''
    default_value: {  }
    required: 0
  date_end_format:
    id: string_base_field_config
    field_name: date_end_format
    label: 'Date end format'
    field_type: string
    settings:
      max_length: '255'
    weight: -95
    applied: true
    index: false
    description: ''
    default_value: ''
    required: 0
  title:
    id: string_base_field_config
    field_name: title
    label: Title
    field_type: string
    settings:
      max_length: '255'
    weight: 12
    applied: true
    index: false
    description: ''
    default_value: ''
    required: 0
hook_theme: true
